#!/usr/bin/env ruby
#
require_relative 'quizm'
require 'singleton'

class Quiz
  include Singleton

  def initialize
    @questions = []
  end

  def add_question(question)
    @questions << question
  end

  def last_question
    @questions.last
  end

  def run_quiz
    count=0
    @questions.each { |q| count += 1 if q.ask }
    puts "You got a score of #{count} \n"
	case count 
	 when 1..5
	 puts "You are in good mood , there is no evidence of depression"
	 when 6..10
	 puts "Your answers are suggestive of depression \n There is a need for more assessment"
	 when 11..20
	 puts "Your answers are indicative of depression, you need to seek psychiatric consultation"
	end
  end
end

def question(text)
  Quiz.instance.add_question Question.new(text)
end

def right(text)
  Quiz.instance.last_question.add_answer Answer.new(text,true)
end

def wrong(text)
  Quiz.instance.last_question.add_answer Answer.new(text,false)
end

load 'depression.qm'

Quiz.instance.run_quiz